Bug 892815 - (CVE-2013-0159) CVE-2013-0159 fedora-business-cards: insecure temporary file usage
CVE-2013-0159 fedora-business-cards: insecure temporary file usage
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130107,reported=2...
: Security
Depends On: 892299
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-07 17:15 EST by Vincent Danen
Modified: 2015-07-31 06:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-01-07 17:15:42 EST
Michael Scherer reported that the fedora-business-cards script used /tmp/fedora-business-cards-buffer.svg as a temporary file, which could be used in symlink attacks to overwrite the contents of a file with write permissions to the person running fedora-business-cards.
Comment 1 Fedora Update System 2013-09-09 19:48:45 EDT
fedora-business-cards-1-0.1.beta1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.